Orxonox: orxonox::ConfigFileEntry Class Reference

# orxonox::ConfigFileEntry Class Reference

`#include <src/core/ConfigFileManager.h>`

Inheritance diagram for orxonox::ConfigFileEntry:

List of all members.

## Public Member Functions

virtual std::string | getFileEntry () const =0
virtual unsigned int | getIndex () const
virtual const std::string & | getName () const =0
virtual std::string | getValue () const =0
virtual void | setComment (const std::string &comment)=0
virtual void | setString (bool bString)=0
virtual void | setValue (const std::string &value)=0
virtual | ~ConfigFileEntry ()

## Constructor & Destructor Documentation

virtual orxonox::ConfigFileEntry::~ConfigFileEntry | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual std::string orxonox::ConfigFileEntry::getFileEntry | ( |  | ) | const`[pure virtual]`

Implemented in orxonox::ConfigFileEntryValue, orxonox::ConfigFileEntryVectorValue, and orxonox::ConfigFileEntryComment.

virtual unsigned int orxonox::ConfigFileEntry::getIndex | ( |  | ) | const`[inline, virtual]`

Reimplemented in orxonox::ConfigFileEntryVectorValue.

virtual const std::string& orxonox::ConfigFileEntry::getName | ( |  | ) | const`[pure virtual]`

Implemented in orxonox::ConfigFileEntryValue, and orxonox::ConfigFileEntryComment.

virtual std::string orxonox::ConfigFileEntry::getValue | ( |  | ) | const`[pure virtual]`

Implemented in orxonox::ConfigFileEntryValue, and orxonox::ConfigFileEntryComment.

virtual void orxonox::ConfigFileEntry::setComment | ( | const std::string & | comment | ) | `[pure virtual]`

Implemented in orxonox::ConfigFileEntryValue, and orxonox::ConfigFileEntryComment.

virtual void orxonox::ConfigFileEntry::setString | ( | bool | bString | ) | `[pure virtual]`

Implemented in orxonox::ConfigFileEntryValue, and orxonox::ConfigFileEntryComment.

virtual void orxonox::ConfigFileEntry::setValue | ( | const std::string & | value | ) | `[pure virtual]`

Implemented in orxonox::ConfigFileEntryValue, and orxonox::ConfigFileEntryComment.

The documentation for this class was generated from the following file:

- src/core/ConfigFileManager.h